Avro C++

Public Member Functions | List of all members
avro::EnumSchema Class Reference
Inheritance diagram for avro::EnumSchema:

## Public Member Functions
| EnumSchema (const std::string &name)
void | addSymbol (const std::string &symbol)
Public Member Functions inherited from avro::Schema
Type | type () const
const NodePtr & | root () const
NodePtr & | root ()

## Additional Inherited Members
Protected Member Functions inherited from avro::Schema
| Schema (NodePtr node)
| Schema (Node *node)
Protected Attributes inherited from avro::Schema
NodePtr | node_

The documentation for this class was generated from the following file:

- api/Schema.hh